> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/soccer/live-data-scenarios/lineup.md).

# Lineup

Within the `/actions` websocket, we have a specific fixtureActionType packet for 'Lineups'. This will notify a user of the starting lineup & substitutes information prior to a match KO. Typically this can come in anytime within 1 hour of Kick off.

In the soccer example below, there is a `startingLineup` which includes the start 11 players and then the `substitutes` for the players on the bench. Typically this is used by onward consumers of the data to display a team list and is often important information for both Betting Operators/Traders and Media customers.

```json
{
   "fixtureAction":{
      "timestamp":"2022-07-08T15:17:16.324929Z",
      "actionId":"f52ab76d-5102-4090-87fd-4a2219c41e59",
      "fixtureSeqNum":10,
      "clockTime":"00:00",
      "fixtureActionType":"Lineups",
      "fixtureActionTypeId":3,
      "sendTypeId":5,
      "sendType":"Confirmed",
      "team":{
         "id":"aba100e8-a29a-4bc3-8f87-eb669b34c5a7",
         "name":"Botev Plovdiv"
      },
      "fixtureId":"4781718f-bba3-4e7b-a16f-1ccddf91c28d",
      "metadata":{
         "startingLineup":[
            {
               "fullName":"Hidajet  Hankić",
               "lastName":"Hankić",
               "firstName":"Hidajet ",
               "id":"1811defb-e308-4f72-9a41-450aba7bae85",
               "shirtNumber":"13"
            },
            {
               "fullName":"Viktor  Genev",
               "lastName":"Genev",
               "firstName":"Viktor ",
               "id":"465dbb46-231e-4f42-b55d-ede0b51dbf21",
               "shirtNumber":"4"
            },
            {
               "fullName":"Emmanuel  Toku",
               "lastName":"Toku",
               "firstName":"Emmanuel ",
               "id":"e1696259-db6f-4f83-8d3c-e4f2c245b94b",
               "shirtNumber":"10"
            },
            {
               "fullName":"Jasper  van Heertum",
               "lastName":"van Heertum",
               "firstName":"Jasper ",
               "id":"b4216142-3d54-44cb-ac02-ae85134b9553",
               "shirtNumber":"24"
            },
            {
               "fullName":"Pa  Konate",
               "lastName":"Konate",
               "firstName":"Pa ",
               "id":"0f2ccd1d-5966-4026-bd8d-9e78cc11f498",
               "shirtNumber":"3"
            },
            {
               "fullName":"Antoine  Baroan",
               "lastName":"Baroan",
               "firstName":"Antoine ",
               "id":"914112d5-c839-409f-b436-8ad111227d09",
               "shirtNumber":"11"
            },
            {
               "fullName":"Dimitar  Tonev",
               "lastName":"Tonev",
               "firstName":"Dimitar ",
               "id":"a831e6ba-5783-46df-a51a-4522e7d6c2eb",
               "shirtNumber":"23"
            },
            {
               "fullName":"Roberto Puncec",
               "lastName":"Puncec",
               "firstName":"Roberto",
               "id":"d1f476f8-f17f-49a1-bf59-6def49a1745e",
               "shirtNumber":"44"
            },
            {
               "fullName":"Tochukwu  Nadi",
               "lastName":"Nadi",
               "firstName":"Tochukwu ",
               "id":"ca565d32-b89e-4eca-835a-eb5955a5a588",
               "shirtNumber":"21"
            },
            {
               "fullName":"Dylan  Mertens",
               "lastName":"Mertens",
               "firstName":"Dylan ",
               "id":"fe748c54-e038-41a6-9654-b9aafa90a66f",
               "shirtNumber":"6"
            },
            {
               "fullName":"Nikolay  Minkov",
               "lastName":"Minkov",
               "firstName":"Nikolay ",
               "id":"da7bad00-3340-4e3d-94f7-1664ee5cc6c8",
               "shirtNumber":"17"
            }
         ],
         "substitutes":[
            {
               "fullName":"Georgi  Argilashki",
               "lastName":"Argilashki",
               "firstName":"Georgi ",
               "id":"46564a3a-2894-4055-b466-acc997c7b3cc",
               "shirtNumber":"1"
            },
            {
               "fullName":"Biser  Bonev",
               "lastName":"Bonev",
               "firstName":"Biser ",
               "id":"6145d88e-fec2-48c4-bc0a-fb46c5c96436",
               "shirtNumber":"14"
            },
            {
               "fullName":"Lachezar  Baltanov",
               "lastName":"Baltanov",
               "firstName":"Lachezar ",
               "id":"ee56d6de-0cbd-4a0a-b5f9-2dd0b40e463f",
               "shirtNumber":"20"
            },
            {
               "fullName":"Hristiyan Slavkov",
               "lastName":"Slavkov",
               "firstName":"Hristiyan",
               "id":"27569b0b-27a8-4ddc-9a1d-209f7ef2ae6a",
               "shirtNumber":"84"
            },
            {
               "fullName":"Atanas Chernev",
               "lastName":"Chernev",
               "firstName":"Atanas",
               "id":"d1125214-0a83-46ea-809f-6095894437ab",
               "shirtNumber":"27"
            },
            {
               "fullName":"Monir Al-Bodarin",
               "lastName":"Al-Bodarin",
               "firstName":"Monir",
               "id":"5896e7e0-6550-4ef6-995e-a9e7bbc4cbac",
               "shirtNumber":"38"
            },
            {
               "fullName":"Samuel Akere",
               "lastName":"Akere",
               "firstName":"Samuel",
               "id":"4ffb8153-2280-4651-9617-78e5a0264123",
               "shirtNumber":"16"
            }
         ],
         "teamId":"aba100e8-a29a-4bc3-8f87-eb669b34c5a7"
      },
      "period":0
   },
   "fixtureSummary":{
      "awayTeamScore":0,
      "currentClockTime":"00:00",
      "periods":[
         
      ],
      "homeTeamScore":0,
      "isTied":true,
      "isHomeTeamInPossesion":false,
      "finished":false,
      "currentPeriod":1,
      "currentStatus":"LineUps"
   },
   "version":1
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sportradar.com/soccer/live-data-scenarios/lineup.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
